Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class Screen6530

    java.lang.Object
      com.mindbright.terminal.tandem6530.Screen6530

All Implemented Interfaces:
  AsciiCodes

public class Screen6530
extends java.lang.Object
implements AsciiCodes

Field Summary
`protected VideoAttributeMap` | `attribMap`
`protected boolean[]` | `autowraps`
`protected int` | `bufferCol`
`protected int` | `bufferRow`
`protected int` | `cols`
`protected int` | `curCol`
`protected int` | `curRow`
`protected static boolean` | `DEBUG`
`protected char` | `defaultChar`
`protected char[]` | `defaultChars`
`protected DisplayView` | `display`
`protected boolean` | `hasSelection`
`protected boolean` | `insertMode`
`static int` | `MAX_COLS`
`static int` | `MAX_ROWS`
`static int` | `MAX_SAVED_LINES`
`static int` | `MIN_COLS`
`static int` | `MIN_ROWS`
`protected int` | `rows`
`protected int` | `saveLines`
`protected char[][]` | `screen`
`protected int` | `selectBottomCol`
`protected int` | `selectBottomRow`
`protected int` | `selectClickRow`
`protected boolean` | `selectClickState`
`protected int` | `selectTopCol`
`protected int` | `selectTopRow`
`protected static char[]` | `spacerow`
`protected boolean[]` | `tabStops`
`protected boolean[]` | `termOptions`
`protected int` | `visTop`
`protected boolean` | `wrapAroundLastLine`
`protected static int[]` | `zerorow`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`Screen6530(int rows, int cols, char defaultChar, boolean wrapAroundLastLine)`

Method Summary
`protected java.lang.String` | `addSpaces(int start, int end)`
`void` | `bufferSetPos(int v, int h)`
`void` | `bufferWrite(char c)`
`protected void` | `clear(int row, int startCol, int endCol)`
`void` | `clear(int startRow, int startCol, int endRow, int endCol)`
`void` | `clearAllTabs()`
`void` | `clearBelow()`
`void` | `clearBelow(boolean atCursor)`
`void` | `clearRight()`
`void` | `clearRight(boolean atCursor)`
`void` | `clearSaveLines()`
`void` | `clearScreen()`
`void` | `clearTab(boolean atCursor)`
`void` | `cursorBackward(int n)`
`void` | `cursorDown(int n)`
`void` | `cursorForward(int n)`
`void` | `cursorHome()`
`void` | `cursorHomeDown()`
`void` | `cursorSetPos(int v, int h)`
`void` | `cursorSetPos(int v, int h, boolean relative)`
`void` | `cursorToLastCharOnRow()`
`protected void` | `cursorToLastCharOnRow(int row, int col)`
`void` | `cursorToLastCharOnScreen()`
`void` | `cursorUp(int n)`
`void` | `cursorWrite(char c)`
`void` | `cursorWrite(char c, boolean insert, boolean attribChar)`
`void` | `deleteChars(int n)`
`void` | `deleteChars(int n, boolean atCursor)`
`void` | `deleteLines(int n)`
`void` | `deleteLines(int n, boolean atCursor)`
`void` | `doBackTabs(int n)`
`void` | `doBS()`
`void` | `doClickSelect(int row, int col, java.lang.String selectDelims)`
`void` | `doCR()`
`void` | `doHTab()`
`void` | `doLF()`
`protected boolean` | `doMatch(java.lang.String findStr, char firstChar, char[] chars, int idx, boolean caseSens, int len)`
`int[]` | `getAttribsAt(int visTop, int row)`
`Screen6530Buffer` | `getBuffer()`
`char[]` | `getCharsAt(int visTop, int row)`
`int` | `getCols()`
`protected java.lang.String` | `getContents(int startRow, int startCol, int endRow, int endCol, java.lang.String eol)`
`int` | `getCurCol()`
`int` | `getCurRow()`
`int` | `getCursorCol()`
`int` | `getCursorH()`
`int` | `getCursorRow()`
`int` | `getCursorV()`
`int` | `getLastRow()`
`int` | `getRows()`
`int` | `getSaveLines()`
`int` | `getScreenTop()`
`int` | `getSelectBottomCol()`
`int` | `getSelectBottomRow()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`int` | `getSelectTopCol()`
`int` | `getSelectTopRow()`
`java.lang.String` | `getStatus()`
`int` | `getTotalLines()`
`int` | `getVisTop()`
`void` | `insertChars(int n)`
`void` | `insertChars(int n, boolean atCursor)`
`void` | `insertLines(int n)`
`void` | `insertLines(int n, boolean atCursor)`
`protected boolean` | `isIntersectingSelect(int topRow, int topCol, int bottomRow, int bottomCol)`
`protected char[]` | `makeCharLine()`
`protected int` | `nextPrintedChar(int row, int col)`
`protected int` | `prevPrintedChar(int row, int col)`
`java.lang.String` | `read(int startRow, int startCol, int endRow, int endCol)`
`protected void` | `readLine(java.lang.StringBuffer buf, int row, int startCol, int endCol)`
`java.lang.String` | `readWhole()`
`void` | `reset()`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`void` | `resetTabs()`
`void` | `resizeBuffers(int rows, int cols)`
`void` | `scrollDown(int n)`
`protected void` | `scrollSelection(int n)`
`void` | `scrollUp(int n)`
`SearchContext` | `search(SearchContext lastContext, java.lang.String key, boolean reverse, boolean caseSens)`
`void` | `selectAll()`
`void` | `setAttribute(int attr)`
`void` | `setBuffer(Screen6530Buffer buf)`
`void` | `setDefaultAttribute(int attr)`
`void` | `setDisplay(DisplayView display)`
`void` | `setInsertMode(boolean set)`
`boolean` | `setSaveLines(int n)`
`void` | `setSelection(int anchorRow, int anchorCol, int endRow, int endCol)`
`void` | `setTab(boolean atCursor)`
`void` | `setVisTop(int row)`
`void` | `setVisTopDelta(int delta)`
`java.lang.String` | `spaceToNextTabStop()`
`protected void` | `updateCursorPosition()`
`protected void` | `updateDirtyArea(int top, int left, int bottom, int right)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

See Also:
  Constant Field Values

### MIN_ROWS

    public static final int MIN_ROWS

See Also:
  Constant Field Values

### MIN_COLS

    public static final int MIN_COLS

See Also:
  Constant Field Values

### MAX_COLS

    public static final int MAX_COLS

See Also:
  Constant Field Values

### MAX_ROWS

    public static final int MAX_ROWS

See Also:
  Constant Field Values

### MAX_SAVED_LINES

    public static final int MAX_SAVED_LINES

See Also:
  Constant Field Values

### rows

    protected int rows

### cols

    protected int cols

### curRow

    protected int curRow

### curCol

    protected int curCol

### bufferRow

    protected int bufferRow

### bufferCol

    protected int bufferCol

### selectTopRow

    protected int selectTopRow

### selectTopCol

    protected int selectTopCol

### selectBottomRow

    protected int selectBottomRow

### selectBottomCol

    protected int selectBottomCol

### hasSelection

    protected boolean hasSelection

### selectClickRow

    protected int selectClickRow

### selectClickState

    protected boolean selectClickState

### insertMode

    protected boolean insertMode

### wrapAroundLastLine

    protected boolean wrapAroundLastLine

### screen

    protected char[][] screen

### autowraps

    protected boolean[] autowraps

### attribMap

    protected VideoAttributeMap attribMap

### defaultChar

    protected char defaultChar

### defaultChars

    protected char[] defaultChars

### saveLines

    protected int saveLines

### visTop

    protected int visTop

### spacerow

    protected static final char[] spacerow

### zerorow

    protected static final int[] zerorow

### tabStops

    protected boolean[] tabStops

### termOptions

    protected boolean[] termOptions

### display

    protected DisplayView display

Constructor Detail

### Screen6530

    public Screen6530(int rows,
                      int cols,
                      char defaultChar,
                      boolean wrapAroundLastLine)

Method Detail

### setDisplay

    public void setDisplay(DisplayView display)

### updateDirtyArea

    protected void updateDirtyArea(int top,
                                   int left,
                                   int bottom,
                                   int right)

### updateCursorPosition

    protected void updateCursorPosition()

### getSaveLines

    public int getSaveLines()

### setSaveLines

    public boolean setSaveLines(int n)

### clearSaveLines

    public void clearSaveLines()

### makeCharLine

    protected char[] makeCharLine()

### resizeBuffers

    public void resizeBuffers(int rows,
                              int cols)

### cursorWrite

    public void cursorWrite(char c)

### cursorWrite

    public void cursorWrite(char c,
                            boolean insert,
                            boolean attribChar)

### bufferWrite

    public void bufferWrite(char c)

### getCursorRow

    public int getCursorRow()

### getCursorCol

    public int getCursorCol()

### getScreenTop

    public int getScreenTop()

### getTotalLines

    public int getTotalLines()

### getCharsAt

    public char[] getCharsAt(int visTop,
                             int row)

### getAttribsAt

    public int[] getAttribsAt(int visTop,
                              int row)

### setInsertMode

    public void setInsertMode(boolean set)

### getVisTop

    public int getVisTop()

### getCurRow

    public int getCurRow()

### getCurCol

    public int getCurCol()

### getSelectTopRow

    public int getSelectTopRow()

### getSelectTopCol

    public int getSelectTopCol()

### getSelectBottomRow

    public int getSelectBottomRow()

### getSelectBottomCol

    public int getSelectBottomCol()

### getRows

    public int getRows()

### getCols

    public int getCols()

### doBS

    public void doBS()

### doBackTabs

    public void doBackTabs(int n)

### doCR

    public void doCR()

### doLF

    public void doLF()

### getCursorV

    public int getCursorV()

### getCursorH

    public int getCursorH()

### cursorSetPos

    public void cursorSetPos(int v,
                             int h,
                             boolean relative)

### cursorSetPos

    public void cursorSetPos(int v,
                             int h)

### bufferSetPos

    public void bufferSetPos(int v,
                             int h)

### cursorHome

    public void cursorHome()

### cursorHomeDown

    public void cursorHomeDown()

### cursorToLastCharOnScreen

    public void cursorToLastCharOnScreen()

### cursorToLastCharOnRow

    public void cursorToLastCharOnRow()

### cursorToLastCharOnRow

    protected void cursorToLastCharOnRow(int row,
                                         int col)

### cursorUp

    public void cursorUp(int n)

### cursorDown

    public void cursorDown(int n)

### cursorForward

    public void cursorForward(int n)

### cursorBackward

    public void cursorBackward(int n)

### scrollUp

    public void scrollUp(int n)

### scrollDown

    public void scrollDown(int n)

### clearBelow

    public void clearBelow()

### clearBelow

    public void clearBelow(boolean atCursor)

### clear

    protected void clear(int row,
                         int startCol,
                         int endCol)

### clear

    public void clear(int startRow,
                      int startCol,
                      int endRow,
                      int endCol)

### clearScreen

    public void clearScreen()

### clearRight

    public void clearRight()

### clearRight

    public void clearRight(boolean atCursor)

### insertChars

    public void insertChars(int n)

### insertChars

    public void insertChars(int n,
                            boolean atCursor)

### deleteChars

    public void deleteChars(int n)

### deleteChars

    public void deleteChars(int n,
                            boolean atCursor)

### insertLines

    public void insertLines(int n)

### insertLines

    public void insertLines(int n,
                            boolean atCursor)

### deleteLines

    public void deleteLines(int n)

### deleteLines

    public void deleteLines(int n,
                            boolean atCursor)

### setAttribute

    public void setAttribute(int attr)

### setDefaultAttribute

    public void setDefaultAttribute(int attr)

### nextPrintedChar

    protected int nextPrintedChar(int row,
                                  int col)

### prevPrintedChar

    protected int prevPrintedChar(int row,
                                  int col)

### addSpaces

    protected java.lang.String addSpaces(int start,
                                         int end)

### isIntersectingSelect

    protected boolean isIntersectingSelect(int topRow,
                                           int topCol,
                                           int bottomRow,
                                           int bottomCol)

### resetSelection

    public void resetSelection()

### selectAll

    public void selectAll()

### scrollSelection

    protected void scrollSelection(int n)

### setSelection

    public void setSelection(int anchorRow,
                             int anchorCol,
                             int endRow,
                             int endCol)

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

### getContents

    protected java.lang.String getContents(int startRow,
                                           int startCol,
                                           int endRow,
                                           int endCol,
                                           java.lang.String eol)

### resetClickSelect

    public void resetClickSelect()

### doClickSelect

    public void doClickSelect(int row,
                              int col,
                              java.lang.String selectDelims)

### search

    public SearchContext search(SearchContext lastContext,
                                java.lang.String key,
                                boolean reverse,
                                boolean caseSens)

### doMatch

    protected boolean doMatch(java.lang.String findStr,
                              char firstChar,
                              char[] chars,
                              int idx,
                              boolean caseSens,
                              int len)

### getStatus

    public java.lang.String getStatus()

### getLastRow

    public int getLastRow()

### setVisTop

    public void setVisTop(int row)

### setVisTopDelta

    public void setVisTopDelta(int delta)

### spaceToNextTabStop

    public java.lang.String spaceToNextTabStop()

### doHTab

    public void doHTab()

### setTab

    public void setTab(boolean atCursor)

### clearTab

    public void clearTab(boolean atCursor)

### clearAllTabs

    public void clearAllTabs()

### resetTabs

    public void resetTabs()

### reset

    public void reset()

### getBuffer

    public Screen6530Buffer getBuffer()

### setBuffer

    public void setBuffer(Screen6530Buffer buf)

### readWhole

    public java.lang.String readWhole()

### read

    public java.lang.String read(int startRow,
                                 int startCol,
                                 int endRow,
                                 int endCol)

### readLine

    protected void readLine(java.lang.StringBuffer buf,
                            int row,
                            int startCol,
                            int endCol)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD